GSTAT(1)

NAME
gstat - manual page for Ganglia Status Tool

SYNOPSIS
gstat [OPTIONS]...

DESCRIPTION
The Ganglia Status Client (gstat) connects with a Ganglia Monitoring Daemon (gmond) and outputs a load-balanced list of hosts

-h, --help
    Print help and exit

-V, --version
    Print version and exit

-a, --all
    List all hosts. Not just hosts running gexec (default=off)

-d, --dead
    Print only the hosts which are dead (default=off)

-m, --mpifile
    Print a load-balanced mpifile (default=off)

-1, --single_line
    Print host and information all on one line (default= off)

-l, --list
    Print ONLY the host list (default=off)

-n, --numeric
    Print numeric addresses instead of hostnames (default=off)

-i, --gmond_ip=STRING
    Specify the ip address of the gmond to query (default=`localhost')

-p, --gmond_port=INT
    Specify the gmond port to query (default=`8649')

AUTHOR
Matt Massie <massie@cs.berkeley.edu>

REPORTING BUGS
Report all bugs to the Ganglia Github project at
  https://github.com/ganglia/monitor-core/issues

COPYRIGHT
Copyright (c) 2001, 2002, 2003, 2004, 2005 by The Regents of the University of California. All rights reserved. Permission to use, copy, modify, and distribute this software and its documentation for any purpose, without fee, and without written agreement is hereby granted, provided that the above copyright notice and the following two paragraphs appear in all copies of this software. IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.